PipelinesGet an opportunity

Get an opportunity

GET /pipelines/{pipeline_id}/opportunities/{opportunity_id}

curl -X GET "https://app.bualpro.com/api/pipelines/3.14/opportunities/3.14" \
  -H "Content-Type: application/json" \
  -H "X-ACCESS-TOKEN: YOUR_API_KEY"
{
  "id": 3.14,
  "contact_id": 3.14,
  "title": "example_string",
  "description": "example_string",
  "value": 3.14,
  "status": "example_string",
  "priority": "example_string",
  "stage": {
    "id": 3.14,
    "name": "Johan Ahmad"
  },
  "assigned_admins": [
    3.14
  ],
  "created_at": "2028-02-08 12:34:56",
  "created_by": 3.14,
  "updated_at": "2028-02-08 12:34:56",
  "updated_by": 3.14
}
GET
/pipelines/{pipeline_id}/opportunities/{opportunity_id}
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-ACCESS-TOKEN)
X-ACCESS-TOKENstring
Required

API key (sent in header)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-ACCESS-TOKENstring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

Responses

idnumber
contact_idnumber
titlestring
descriptionstring
valuenumber
statusstring
prioritystring
stageobject
assigned_adminsnumber[]
created_atstring

UTC

created_bynumber

Admin ID

updated_atstring

UTC

updated_bynumber

Admin ID

Get an opportunity / ticket